#include "toptile.h"

#include <QPainter>

TopTile::TopTile(const QPixmap &pix, QWidget *parent)
: QWidget(parent)
{
	int middle = pix.width() / 2;
	int height = pix.height();
	m_leftPix = pix.copy(0,0,middle,height);
	m_tilePix = pix.copy(middle, 0, 1, height);
	m_rightPix = pix.copy(middle, 0, pix.width() - middle, height);
	setMinimumSize(pix.size());
}

TopTile::~TopTile()
{
}

void TopTile::paintEvent(QPaintEvent *e)
{
	QRect r = rect();
	QPainter p(this);

	p.drawTiledPixmap(r, m_tilePix);
	p.drawPixmap(r.topLeft(), m_leftPix);
	QRect r2 = m_rightPix.rect();
	r2.moveTopRight(r.topRight());
	p.drawPixmap(r2.topLeft(), m_rightPix);
}
